cURL
curl --request POST \
--url 'https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--data '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}'import requests
url = "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions"
headers = {"Authorization": "Bearer <api-key>"}
payload = {'feedback': 'Count only upside breaks, and add a bar chart by weekday.'}
response = requests.post(url, headers=headers, json=payload)
print(response.json())const url = "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions";
const options = {
method: "POST",
headers: { Authorization: "Bearer <api-key>", "Content-Type": "application/json" },
body: JSON.stringify({"feedback": "Count only upside breaks, and add a bar chart by weekday."}),
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$ch = curl_init("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer <api-key>", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, _ := http.NewRequest("POST", "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions", strings.NewReader(`{"feedback": "Count only upside breaks, and add a bar chart by weekday."}`))
req.Header.Set("Authorization", "Bearer <api-key>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions"))
.header("Authorization", "Bearer <api-key>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\"feedback\": \"Count only upside breaks, and add a bar chart by weekday.\"}"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require "net/http"
require "uri"
uri = URI("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <api-key>"
request["Content-Type"] = "application/json"
request.body = '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}'
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts response.body{
"status": "<string>",
"conversation_id": "<string>",
"message_id": "<string>",
"url": "<string>",
"question": "<string>",
"message": "<string>",
"methodology": "<unknown>",
"assumptions": "<unknown>",
"accepted_controls": "<unknown>",
"sample_result": {
"summary": "<unknown>",
"detailed_data": [
"<unknown>"
],
"total_rows": 123,
"truncated": true,
"column_units": "<unknown>",
"row_label": "<unknown>",
"row_grain": "<unknown>",
"presentation": "<unknown>"
},
"truncated": true
}
custom reports
revise custom report
answer the builder’s question, or change the current draft with feedback. continues the conversation from build custom report and returns what a build returns; a saved report is never edited. uses your Edgeful AI allowance, can take a few minutes and is stopped after ten. the response stays open until the work finishes or is stopped at its time limit: allow a read timeout of ten minutes, and do not send the request again while it runs. disconnecting cancels the work. a failure after the first ten seconds arrives as 200 with status failed. requires the key’s write permission.
POST
/
v1
/
custom-reports
/
drafts
/
{conversation_id}
/
revisions
cURL
curl --request POST \
--url 'https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--data '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}'import requests
url = "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions"
headers = {"Authorization": "Bearer <api-key>"}
payload = {'feedback': 'Count only upside breaks, and add a bar chart by weekday.'}
response = requests.post(url, headers=headers, json=payload)
print(response.json())const url = "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions";
const options = {
method: "POST",
headers: { Authorization: "Bearer <api-key>", "Content-Type": "application/json" },
body: JSON.stringify({"feedback": "Count only upside breaks, and add a bar chart by weekday."}),
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$ch = curl_init("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer <api-key>", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, _ := http.NewRequest("POST", "https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions", strings.NewReader(`{"feedback": "Count only upside breaks, and add a bar chart by weekday."}`))
req.Header.Set("Authorization", "Bearer <api-key>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions"))
.header("Authorization", "Bearer <api-key>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\"feedback\": \"Count only upside breaks, and add a bar chart by weekday.\"}"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require "net/http"
require "uri"
uri = URI("https://api.edgeful.com/v1/custom-reports/drafts/<conversation_id>/revisions")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <api-key>"
request["Content-Type"] = "application/json"
request.body = '{"feedback": "Count only upside breaks, and add a bar chart by weekday."}'
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts response.body{
"status": "<string>",
"conversation_id": "<string>",
"message_id": "<string>",
"url": "<string>",
"question": "<string>",
"message": "<string>",
"methodology": "<unknown>",
"assumptions": "<unknown>",
"accepted_controls": "<unknown>",
"sample_result": {
"summary": "<unknown>",
"detailed_data": [
"<unknown>"
],
"total_rows": 123,
"truncated": true,
"column_units": "<unknown>",
"row_label": "<unknown>",
"row_grain": "<unknown>",
"presentation": "<unknown>"
},
"truncated": true
}
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?